curl --request PATCH \
--url https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/websites/{domain}/cart/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "<string>",
"paymentType": "<string>",
"otherPaymentType": "<string>",
"couponCode": "<string>",
"time": "<string>",
"dropOffType": "<string>",
"tableName": "<string>",
"cardId": "<string>",
"billing": {},
"tip": {
"amount": 123
},
"cashAmount": 123,
"gift": {},
"orderParams": {},
"termSignatures": [
{
"termType": "termsAndConditions",
"version": "<string>"
}
],
"sessionBirthday": "<string>",
"meta": {}
}
'import requests
url = "https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/websites/{domain}/cart/preferences"
payload = {
"storeId": "<string>",
"paymentType": "<string>",
"otherPaymentType": "<string>",
"couponCode": "<string>",
"time": "<string>",
"dropOffType": "<string>",
"tableName": "<string>",
"cardId": "<string>",
"billing": {},
"tip": { "amount": 123 },
"cashAmount": 123,
"gift": {},
"orderParams": {},
"termSignatures": [
{
"termType": "termsAndConditions",
"version": "<string>"
}
],
"sessionBirthday": "<string>",
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storeId: '<string>',
paymentType: '<string>',
otherPaymentType: '<string>',
couponCode: '<string>',
time: '<string>',
dropOffType: '<string>',
tableName: '<string>',
cardId: '<string>',
billing: {},
tip: {amount: 123},
cashAmount: 123,
gift: {},
orderParams: {},
termSignatures: [{termType: 'termsAndConditions', version: '<string>'}],
sessionBirthday: '<string>',
meta: {}
})
};
fetch('https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/websites/{domain}/cart/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "<string>",
"placeId": "<string>",
"menuId": "<string>",
"channel": "<string>",
"tableName": "<string>",
"time": "<string>",
"deliverAt": "<string>",
"timeLabel": "<string>",
"itsStoreOpenAtTime": true,
"paymentType": "<string>",
"paymentTypeIsIntegration": true,
"cardId": "<string>",
"selectedPaymentMethodKey": "<string>",
"otherPaymentType": "<string>",
"couponCode": "<string>",
"loyaltyProgram": {},
"externalLoyaltyProgram": {},
"useExternalLoyalty": true,
"websiteCoinsToSpend": 123,
"externalLoyaltyCoinsToSpend": 123,
"justoCoinsToSpend": 123,
"tipAmount": 123,
"tipPercentage": 123,
"bagsRequired": 123,
"storeId": "<string>",
"sessionEmail": "<string>",
"sessionEmailHasAccount": true,
"sessionPhone": "<string>",
"isOutOfBounds": true,
"currentReducedDemandMessage": "<string>",
"address": {
"_id": "<string>",
"streetAddress": "<string>",
"extendedAddress": "<string>",
"locality": "<string>",
"countryName": "<string>",
"placeId": "<string>",
"location": {
"lat": -33.43219757080078,
"lng": -70.59982299804688
}
},
"store": {
"_id": "<string>",
"acceptDelivery": true,
"acceptGo": true,
"acceptServe": true,
"name": "<string>",
"minimumAnticipationDays": 123,
"currentExtraDeliveryCost": 123,
"hideTip": true,
"forceHideDeliveryTip": true,
"defaultsManagedDelivery": true,
"availableScheduleDaysOptions": [
{
"label": "<string>",
"value": "<string>"
}
],
"extendedAddress": "<string>",
"streetAddress": "<string>",
"location": {
"lat": -33.43219757080078,
"lng": -70.59982299804688
},
"itsOpenNow": true,
"itsOpenAtTime": true,
"disableNowOrders": true,
"availablePaymentMethods": [
{
"paymentMethodKey": "<string>",
"label": "<string>",
"canDeliver": true,
"isIntegration": true,
"allowedDeliveryTypes": [],
"requiresRoundTrip": true,
"isAvailableInV3": true,
"otherPaymentType": "<string>",
"paymentType": "<string>",
"extraPaymentInformation": {}
}
],
"savedUserCards": [
{
"_id": "<string>",
"brandId": "<string>",
"brandName": "<string>",
"label": "<string>",
"last4": "<string>",
"paymentMethodKey": "<string>",
"paymentType": "<string>",
"cardBin": "<string>"
}
]
},
"cart": {
"deliveryFee": 123,
"deliveryFeeWithoutDiscount": 123,
"freeDeliveryProgress": {
"source": "<string>",
"threshold": 123,
"currentItemsPrice": 123,
"missingAmount": 123,
"isFree": true,
"searchedUntil": "<string>"
},
"serviceFee": 123,
"amountToPay": 123,
"totalPrice": 123,
"calculatedTipAmount": 123,
"benefits": [
{
"benefitPromotionId": "<string>",
"type": "<string>",
"label": "<string>",
"totalDiscount": 123,
"productIds": [
"<string>"
]
}
],
"couponStatus": {
"code": "<string>",
"description": "<string>",
"couponId": "<string>",
"discountOnDeliveryFee": 123,
"discountOnFullPrice": 123,
"discountOnItems": 123,
"errorMessage": "<string>",
"errorType": "<string>",
"errorActionHint": "<string>",
"errorActionLinks": [
{
"label": "<string>",
"url": "<string>"
}
],
"allErrors": [
{
"message": "<string>",
"errorType": "<string>",
"actionHint": "<string>",
"actionLinks": [
{
"label": "<string>",
"url": "<string>"
}
],
"minimumOrderPrice": 123,
"currentItemsPrice": 123
}
],
"name": "<string>",
"minimumOrderPrice": 123,
"currentItemsPrice": 123,
"requiresPaymentTypes": [
"<string>"
],
"requiredBINs": [
"<string>"
],
"requiredPaymentMethodCodes": [
"<string>"
]
},
"itemsPrice": 123,
"itemsPriceWithoutDiscount": 123,
"totalLoyaltyDiscount": 123,
"itemsPriceWithoutLoyaltyDiscount": 123,
"itemsPriceWithOnlyItemsDiscount": 123,
"hasDynamicDeliveryFee": true,
"bagAmount": 123,
"calculatedBagsRequired": 123,
"maxBagsAllowed": 123,
"items": [
{
"_id": "<string>",
"amount": 123,
"totalPrice": 123,
"productId": "<string>",
"isOutOfStock": true,
"unitPrice": 123,
"unitPriceWithoutDiscount": 123,
"comment": "<string>",
"outOfStockMessage": "<string>",
"modifiers": [
{}
],
"descriptionItems": [
{}
],
"product": {
"_id": "<string>",
"name": "<string>",
"images": [
{
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
}
],
"modifiers": [
{}
]
}
}
]
},
"website": {
"_id": "<string>",
"allowsJustoCoins": true,
"allowsWebsiteCoins": true,
"showStoreName": true
},
"billing": {},
"tip": {},
"cashAmount": 123,
"gift": {},
"orderParams": {},
"termSignatures": [
{
"termType": "termsAndConditions",
"version": "<string>"
}
],
"meta": {},
"sessionBirthday": "<string>",
"options": {
"billing": {
"value": {},
"schema": [
{}
],
"required": true,
"countryCode": "CL"
},
"terms": {
"mode": "auto",
"hidden": true,
"checked": true,
"signatures": [
{
"termType": "termsAndConditions",
"version": "<string>"
}
],
"terms": [
{
"termType": "<string>",
"version": "<string>",
"optional": true,
"title": "<string>",
"checkboxLabel": {}
}
]
}
}
}
}Update cart preferences
Actualiza local, tipo de entrega, horario, medio de pago, cupón y opciones de checkout como billing. La aceptación de términos debe gestionarla el integrador antes del flujo de compra.
Authorizations
JWT Token
Path Parameters
ID del customer en el sistema externo. Es independiente por app.
Dominio canónico del website Justo.
Body
Preferencias del carrito a guardar.
Preferencias persistentes del carrito.
ID del local seleccionado.
Tipo de entrega.
delivery, go, serve Medio de pago seleccionado.
Subtipo de pago, si aplica.
Código de cupón aplicado.
Hora seleccionada. Usa now o un value de orderPreferences.store.availableScheduleDaysOptions.
Tipo de entrega en destino.
Mesa o identificador de consumo en local.
ID de tarjeta guardada.
Datos dinámicos de facturación para el checkout. Deben seguir el schema publicado en data.options.billing.schema.
Propina seleccionada.
Show child attributes
Show child attributes
Monto declarado para pago en efectivo.
Información de regalo.
Parámetros adicionales del pedido.
Show child attributes
Show child attributes
Firmas de términos para flujos avanzados. En el flujo estándar, el integrador debe pedir aceptación de los términos antes de iniciar la compra.
Show child attributes
Show child attributes
Fecha de nacimiento de sesión en formato DD-MM-AAAA.
Metadata adicional.
Show child attributes
Show child attributes